Re: krb5-auth-dialog propsal

On Wed, May 13, 2009 at 12:39:33PM +0200, Andre Klapper wrote:
> Hi,
> Am Donnerstag, den 07.05.2009, 12:51 +0200 schrieb Guido Günther:
> > I'd like to propose krb5-auth-dialog for inclusion into gnome 2.28. It's
> > a tray applet that can be used to acquire and renew Kerberos tickets
> > It optionally uses libnotify to alert about ticket exiration. When built
> > against heimdal Kerberos it supports pkinit (ticket acquisition via
> > smart card). See:
> > 
> >
> > 
> > for more details and some screenshots.
> After reading the description I thought "Oh, a nice and small tool".
> After checking out from git I realize that it has 637 (!) translatable
Most of these aren't from krb5-auth-dialog itself. They were extracted
from com_err .et files of MIT Kerberos itself to make them translatable.
Restricting the extraction to src/lib/krb5/error_tables instead of the
whole Kerberos source tree reduces the numboer of strings by a factor of
two.  Limiting the list to the most common errors returned by the
Kerberos libs would make sense.

> strings, most of them very technical and not easily translatable.
> Just to pick up one example, I wonder if any average user will
> understand "Programmer error!  Bad Admin server handle" and if any
> translator knows what is meant here and if this should really be
> displayed to the end user.
> There are lots of such strings, hence I definitely request a review of
> all translatable strings before I would accept this for GNOME.
> Also, is there any documentation available?
Except for the above URL and the README not yet.
 -- Guido

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]